@font-face {
  font-family: "WorkSansRegular";
  src: url("/static/login/fonts/WorkSans-Regular.ttf") format("truetype");
}

@font-face {
  font-family: "FoundersGroteskMedium";
  src: url("/static/login/fonts/founders-grotesk-medium.woff2") format("woff2");
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "WorkSansRegular", Arial, sans-serif;
}

body {
  background-color: #f3f5f9;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
  margin: 0;
}

.container {
  display: flex;
  width: 100%;
  height: 100%;
  overflow: hidden;
  background-color: #f3f5f9;
}

.left-panel {
  flex: 1;
  background-color: #2d2d2d;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  overflow: hidden;
}

.left-panel .logo {
  position: absolute;
  top: 50px;
  left: 50px;
  max-width: 50%;
  height: auto;
  z-index: 2;
}

.left-panel .logo img {
  width: 100%;
  max-width: 200px;
  height: auto;
}

.left-panel .emblem {
  position: absolute;
  bottom: -5px;
  left: 0;
  width: 90%;
  height: auto;
}

.left-panel .emblem img {
  width: 100%;
  height: auto;
}

.right-panel {
  flex: 1.5;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 2rem;
}

.login-form {
  max-width: 450px;
  width: 100%;
  text-align: center;
}

.login-form h1 {
  font-family: "FoundersGroteskMedium", sans-serif;
  font-size: 2.5rem;
  color: #2d2d2d;
  position: relative;
  display: inline-block;
  z-index: 1;
}

.login-form h1::after {
  content: "";
  display: block;
  width: 100%;
  height: 0.6em;
  background-color: #a3ebfb;
  margin: 0 auto;
  bottom: 0.8em;
  position: relative;
  z-index: -1;
}

.login-form .welcome-message {
  font-size: 1rem;
  color: #888;
  margin-bottom: 3rem;
  line-height: 1.1;
}

.login-form label {
  display: block;
  font-size: 0.9rem;
  color: #444;
  text-align: left;
  margin-bottom: 0.5rem;
  font-weight: bold;
}

.login-form input {
  width: 100%;
  padding: 0.75rem;
  margin-bottom: 1.5rem;
  border: 1px solid #ccc;
  border-radius: 4px;
  font-size: 0.9rem;
}

button {
  width: 150px;
  padding: 0.75rem;
  background-color: #2d2d2d;
  color: #fff;
  border: none;
  border-radius: 25px;
  font-size: 1rem;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

button:hover {
  background-color: #555;
}

a {
  font-family: "FoundersGroteskMedium", sans-serif;
  color: #888;
  text-decoration: none;
  font-weight: bold;
}

a:hover {
  text-decoration: underline;
}

.footer-text {
  font-size: 0.9rem;
  color: #888;
  margin-top: 1rem;
}

.checkbox-container {
  display: flex;
}

.legalCheck {
  width: 20px !important;
  margin-right: 10px;
}

.radio-container {
  background-color: #fff;
  border: #ccc solid 1px;
  border-radius: 4px;
  padding: 0.75rem;
  margin-top: 5px;
  margin-bottom: 1.5rem;
  display: flex;
}

.radio-container input[type="radio"] {
  width: 20px !important;
  margin: 0px;
  margin-right: 10px;
}

.radio-container label {
  width: 100px;
  margin: 0px;
}

#errorMessage {
  display: none;
  border-radius: 10px;
  background-color: #ea3223;
  text-align: center;
  margin-bottom: 10px;
  padding: 10px;
}

@media (max-width: 768px) {
  .container {
    flex-direction: column-reverse;
  }
  .bottom-panel {
    flex: 0.25;
  }
  .left-panel {
    flex: 0.5;
    height: auto;
    padding: 20px;
    justify-content: center;
    align-items: center;
    position: relative;
  }

  .left-panel .logo {
    top: 20px;
    left: 50%;
    transform: translateX(-50%);
    max-width: 150px;
  }

  .left-panel .emblem {
    bottom: 0;
    left: 0;
    width: 50%;
  }

  .right-panel {
    padding: 1.5rem;
  }

  .login-form {
    max-width: 450px;
    margin: 0 auto;
  }

  .login-form h1 {
    font-size: 1.8rem;
  }

  .login-form .welcome-message {
    font-size: 0.95rem;
  }

  .login-button {
    font-size: 0.9rem;
    padding: 0.7rem;
  }

  .forgot-password {
    font-size: 0.8rem;
  }
}

@media (max-width: 480px) {
  .left-panel .logo {
    max-width: 120px;
  }

  .left-panel .emblem {
    width: 70%;
  }

  .login-form h1 {
    font-size: 1.5rem;
  }

  .login-form .welcome-message {
    font-size: 0.85rem;
  }

  .login-button {
    font-size: 0.8rem;
    padding: 0.6rem;
  }

  .forgot-password {
    font-size: 0.75rem;
  }
}
